summaryrefslogtreecommitdiff
path: root/ci/print-test-failures.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/print-test-failures.sh')
-rwxr-xr-xci/print-test-failures.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/ci/print-test-failures.sh b/ci/print-test-failures.sh
index 97cc059019..4f261ddc01 100755
--- a/ci/print-test-failures.sh
+++ b/ci/print-test-failures.sh
@@ -8,6 +8,12 @@
# Tracing executed commands would produce too much noise in the loop below.
set +x
+if ! ls t/test-results/*.exit >/dev/null 2>/dev/null
+then
+ echo "Build job failed before the tests could have been run"
+ exit
+fi
+
for TEST_EXIT in t/test-results/*.exit
do
if [ "$(cat "$TEST_EXIT")" != "0" ]